class Klawiatura extends Phaser.State {
    preload() {
        this.game.load.audio('music', 'sound/AKKA.mp3');
        this.game.load.image('tlo', 'IMAGEE/TLO2.bmp');
    }

    create() {
        var tablicaSprite = [];
        var glosnosc = 0.5;
        var tlo = this.game.add.sprite(this.game.world.centerX, this.game.world.centerY, 'tlo');
        tlo.anchor.setTo(0.5, 0.5);

        var playKey = this.game.input.keyboard.addKey(Phaser.Keyboard.P); // play
        var play_15Key = this.game.input.keyboard.addKey(Phaser.Keyboard.Q); // 1,5 sek
        var pauseKey = this.game.input.keyboard.addKey(Phaser.Keyboard.A); // pause
        var resumeKey = this.game.input.keyboard.addKey(Phaser.Keyboard.R); // resume
        var stopKey = this.game.input.keyboard.addKey(Phaser.Keyboard.S); // stop 
        var kursory = this.game.input.keyboard.createCursorKeys();

        playKey.onUp.add(play, this);
        play_15Key.onDown.add(play_15, this);
        pauseKey.onDown.add(pause, this);
        resumeKey.onDown.add(resume, this);        
        stopKey.onDown.add(stop, this);

        kursory.up.onDown.add(glosniej, this);
        kursory.down.onDown.add(ciszej, this);

        var muzyka = this.game.add.audio('music');
        function glosniej() {
            if (glosnosc < 1)
                glosnosc += 0.05;
        }
        function ciszej() {
            if (glosnosc > 0)
                glosnosc -= 0.05;
        }
        function play(event, sprite) {
            if (!muzyka.isPlaying && !muzyka.paused)
                muzyka.play('',0,glosnosc,false,true);
        }
        function play_15(event, sprite) {
            if (!muzyka.isPlaying && !muzyka.paused) {
                muzyka.addMarker('1', 1, 2.5, glosnosc, true);
                muzyka.play('1');
            }
        }
        function pause(event, sprite) {
            if (muzyka.isPlaying)
                muzyka.pause();
        }
        function resume(event, sprite) {
            if (muzyka.paused)
                muzyka.resume();
        }
        function stop(event, sprite) {
            if (muzyka.isPlaying || muzyka.paused)
                muzyka.stop();
        }
    }
}